curl --request GET \
--url 'https://edi.stateset.com/v1/analytics' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
{
"accepted": 1,
"by_day": [
{
"count": 2,
"date": "2026-08-31T14:22:05Z"
}
],
"by_partner": [
{
"accepted": 1,
"error_rate": 8,
"inbound": 1,
"outbound": 1,
"partner_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"rejected": 1,
"total": 102
}
],
"by_transaction_set": [
{
"count": 2,
"transaction_set": "string"
}
],
"cycle_time": {
"max_hours": 1,
"median_hours": 1,
"p95_hours": 1,
"references_measured": 1
},
"error_rate": 8,
"inbound": 1,
"outbound": 1,
"rejected": 1,
"total_documents": 1
}
Operational analytics: volume, error rate, throughput trend, and
order-to-cash cycle time by partner and transaction set.
GET
/
v1
/
analytics
curl --request GET \
--url 'https://edi.stateset.com/v1/analytics' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
{
"accepted": 1,
"by_day": [
{
"count": 2,
"date": "2026-08-31T14:22:05Z"
}
],
"by_partner": [
{
"accepted": 1,
"error_rate": 8,
"inbound": 1,
"outbound": 1,
"partner_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"rejected": 1,
"total": 102
}
],
"by_transaction_set": [
{
"count": 2,
"transaction_set": "string"
}
],
"cycle_time": {
"max_hours": 1,
"median_hours": 1,
"p95_hours": 1,
"references_measured": 1
},
"error_rate": 8,
"inbound": 1,
"outbound": 1,
"rejected": 1,
"total_documents": 1
}
order-to-cash cycle time by partner and transaction set.
Response
AnalyticsReport
integer
required
PartnerVolume[]
required
CycleTime
required
integer (int32)
Overall error rate, percent 0–100.
integer
required
integer
required
integer
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | Analytics report |
403 | Admin credential required |
curl --request GET \
--url 'https://edi.stateset.com/v1/analytics' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
{
"accepted": 1,
"by_day": [
{
"count": 2,
"date": "2026-08-31T14:22:05Z"
}
],
"by_partner": [
{
"accepted": 1,
"error_rate": 8,
"inbound": 1,
"outbound": 1,
"partner_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"rejected": 1,
"total": 102
}
],
"by_transaction_set": [
{
"count": 2,
"transaction_set": "string"
}
],
"cycle_time": {
"max_hours": 1,
"median_hours": 1,
"p95_hours": 1,
"references_measured": 1
},
"error_rate": 8,
"inbound": 1,
"outbound": 1,
"rejected": 1,
"total_documents": 1
}
Last modified on August 31, 2026